# Uses of Interface
org.eclipse.e4.ui.model.application.descriptor.basic.MBasicFactory

Packages that use MBasicFactory
Package
Description
org.eclipse.e4.ui.model.application.descriptor.basic
Application programming interfaces describing the Eclipse 4 descriptor model elements.
org.eclipse.e4.ui.model.application.descriptor.basic.impl

## Uses of MBasicFactory in org.eclipse.e4.ui.model.application.descriptor.basic

Fields in org.eclipse.e4.ui.model.application.descriptor.basic declared as MBasicFactory
Modifier and Type
Field
Description
`static final MBasicFactory`
MBasicFactory.`INSTANCE`
The singleton instance of the factory.

## Uses of MBasicFactory in org.eclipse.e4.ui.model.application.descriptor.basic.impl

Classes in org.eclipse.e4.ui.model.application.descriptor.basic.impl that implement MBasicFactory
Modifier and Type
Class
Description
`class`
`BasicFactoryImpl`
An implementation of the model Factory.
Methods in org.eclipse.e4.ui.model.application.descriptor.basic.impl that return MBasicFactory
Modifier and Type
Method
Description
`MBasicFactory`
BasicPackageImpl.`getBasicFactory()`
Returns the factory that creates the instances of the model.